[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Default ISA/tuning flags for GCC, --enable-kernel= level for glibc



Jakub Jelinek wrote:
> Could we bump this ideally to 2.6.29?  It would mean Fedora 11 userland
> only runs on 2.6.29 and later kernels, but we could gain speed and
> decrease size of glibc shared libraries.

The big problem with that is this one:
> For glibc --enable-kernel= default this requires that all koji build boxes
> and anything else that needs to run Fedora 11 binaries runs at least
> 2.6.29 kernels, but the change might be still delayed for a few weeks.

This is also a major inconvenience for local mock builds, which can no
longer be run on older Fedora releases until the kernel gets upgraded nor
on EL5 hosts. Upgrading the kernel on the build host is not always an
option: running a F11 kernel on EL5 or even on older Fedora isn't really
supported, and there are setups where the kernel cannot be upgraded at all
(e.g. Virtuozzo/OpenVZ VPSes or kernels with custom patches which have not
been ported to the latest version yet).

It'd also break online "yum upgrade" F9/F10->F11 upgrades.

I don't think requiring a newer kernel than the EL5 one (2.6.18) is a good
idea.

        Kevin Kofler


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]